
From: Marko Kohtala <marko.kohtala@gmail.com>

Device ID reading from daisy chain devices failed because the daisy
device could not be opened.

Signed-off-by: Marko Kohtala <marko.kohtala@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/parport/daisy.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/parport/daisy.c~parport-daisy-chain-device-id-reading-fix drivers/parport/daisy.c
--- 25/drivers/parport/daisy.c~parport-daisy-chain-device-id-reading-fix	Wed Sep  7 14:38:28 2005
+++ 25-akpm/drivers/parport/daisy.c	Wed Sep  7 14:38:28 2005
@@ -252,7 +252,7 @@ struct pardevice *parport_open (int devn
 		selected = port->daisy;
 		parport_release (dev);
 
-		if (selected != port->daisy) {
+		if (selected != daisy) {
 			/* No corresponding device. */
 			parport_unregister_device (dev);
 			return NULL;
_
